ApiOsDistribution (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiOsDistribution

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiOsDistribution

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiOsDistribution
      extends Object

  Definition of an OS distribution.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOsDistribution()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiOsDistribution` | `distributionType(ApiOsDistributionType distributionType)`
    `boolean` | `equals(Object o)`
    `ApiOsDistributionType` | `getDistributionType()` High-level OS distribution type
    `String` | `getName()` Distribution full name; 'redhat', 'centos', 'ubuntu' etc
    `String` | `getVersion()` Full OS version string; eg.
    `int` | `hashCode()`
    `ApiOsDistribution` | `name(String name)`
    `void` | `setDistributionType(ApiOsDistributionType distributionType)`
    `void` | `setName(String name)`
    `void` | `setVersion(String version)`
    `String` | `toString()`
    `ApiOsDistribution` | `version(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOsDistribution

          public ApiOsDistribution()

  - ### Method Detail

    - #### distributionType

          public ApiOsDistribution distributionType(ApiOsDistributionType distributionType)

    - #### getDistributionType

          public ApiOsDistributionType getDistributionType()

      High-level OS distribution type
      Returns:
        distributionType

    - #### setDistributionType

          public void setDistributionType(ApiOsDistributionType distributionType)

    - #### name

          public ApiOsDistribution name(String name)

    - #### getName

          public String getName()

      Distribution full name; 'redhat', 'centos', 'ubuntu' etc
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### version

          public ApiOsDistribution version(String version)

    - #### getVersion

          public String getVersion()

      Full OS version string; eg. 7.3.1611
      Returns:
        version

    - #### setVersion

          public void setVersion(String version)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.